Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.update
Class RemoveCacheUpdate

    java.lang.Object
      edu.stanford.smi.protege.server.update.ValueUpdate
          edu.stanford.smi.protege.server.update.SftUpdate
              edu.stanford.smi.protege.server.update.RemoveCacheUpdate

All Implemented Interfaces:
  Localizable, Serializable

    public class RemoveCacheUpdate

extends SftUpdate

This update means that the cache should indicate that there is no value for this frame, slot, facet, isTemplate group. That is the client does not need to call the server to obtain a value for this set. These updates should never be generated while a transation is in progress.

Author:
  tredmond
See Also:
  Serialized Form

Constructor Summary
`RemoveCacheUpdate(Frame frame, Slot slot, Facet facet, boolean isTemplate)`

Method Summary
`String` | `toString()`

Methods inherited from class edu.stanford.smi.protege.server.update.SftUpdate
`getFacet, getInvalidatingVariant, getSlot, isTemplate, localize`

Methods inherited from class edu.stanford.smi.protege.server.update.ValueUpdate
`getClient, getFrame, isTransactionScope, setClient, setTransactionScope`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoveCacheUpdate

    public RemoveCacheUpdate(Frame frame,
                             Slot slot,
                             Facet facet,
                             boolean isTemplate)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `SftUpdate`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.